# Interface IParagraphStylePropertiesOptions

#### Hierarchy

- ILevelParagraphStylePropertiesOptions
  - IParagraphStylePropertiesOptions
    - IParagraphPropertiesOptions

- Defined in file/paragraph/properties.ts:37

#####
Index

### Properties

alignment?
contextualSpacing?
indent?
keepLines?
keepNext?
leftTabStop?
numbering?
outlineLevel?
rightTabStop?
spacing?
thematicBreak?

## Properties

### `Optional` `Readonly` alignment

alignment?: AlignmentType

Inherited from ILevelParagraphStylePropertiesOptions.alignment

- Defined in file/paragraph/properties.ts:19

### `Optional` `Readonly` contextualSpacing

contextualSpacing?: boolean

Inherited from ILevelParagraphStylePropertiesOptions.contextualSpacing

- Defined in file/paragraph/properties.ts:21

### `Optional` `Readonly` indent

indent?: IIndentAttributesProperties

Inherited from ILevelParagraphStylePropertiesOptions.indent

- Defined in file/paragraph/properties.ts:24

### `Optional` `Readonly` keepLines

keepLines?: boolean

Specifies that all lines of the paragraph are to be kept on a single page when possible.

Inherited from ILevelParagraphStylePropertiesOptions.keepLines

- Defined in file/paragraph/properties.ts:33

### `Optional` `Readonly` keepNext

keepNext?: boolean

Specifies that the paragraph (or at least part of it) should be rendered on the same page as the next paragraph when possible. If multiple paragraphs are to be kept together but they exceed a page, then the set of paragraphs begin on a new page and page breaks are used thereafter as needed.

Inherited from ILevelParagraphStylePropertiesOptions.keepNext

- Defined in file/paragraph/properties.ts:29

### `Optional` `Readonly` leftTabStop

leftTabStop?: number

Inherited from ILevelParagraphStylePropertiesOptions.leftTabStop

- Defined in file/paragraph/properties.ts:23

### `Optional` `Readonly` numbering

numbering?: {
custom?: boolean;
instance?: number;
level: number;
reference: string;
}

#### Type declaration

- ##### `Optional` `Readonly` custom?: boolean

- ##### `Optional` `Readonly` instance?: number

- ##### `Readonly` level: number

- ##### `Readonly` reference: string

- Defined in file/paragraph/properties.ts:38

### `Optional` `Readonly` outlineLevel

outlineLevel?: number

Inherited from ILevelParagraphStylePropertiesOptions.outlineLevel

- Defined in file/paragraph/properties.ts:34

### `Optional` `Readonly` rightTabStop

rightTabStop?: number

Inherited from ILevelParagraphStylePropertiesOptions.rightTabStop

- Defined in file/paragraph/properties.ts:22

### `Optional` `Readonly` spacing

spacing?: ISpacingProperties

Inherited from ILevelParagraphStylePropertiesOptions.spacing

- Defined in file/paragraph/properties.ts:25

### `Optional` `Readonly` thematicBreak

thematicBreak?: boolean

Inherited from ILevelParagraphStylePropertiesOptions.thematicBreak

- Defined in file/paragraph/properties.ts:20

Generated using TypeDoc